#
# spec file for package python-progressbar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-progressbar
Version:        2.5
Release:        3.5
Summary:        Text Progressbar Library for Python
License:        LGPL-2.1-or-later OR BSD-3-Clause
Group:          Development/Libraries/Python
Url:            https://github.com/niltonvolpato/python-progressbar
Source:         https://files.pythonhosted.org/packages/source/p/progressbar/progressbar-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
This library provides a text mode progressbar. This is tipically used to
display the progress of a long running operation, providing a visual clue that
processing is underway.

%prep
%setup -q -n progressbar-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.txt examples.py
%license LICENSE.txt
%{python_sitelib}/progressbar/
%{python_sitelib}/progressbar-%{version}-py*.egg-info

%changelog
* Sun Jul  2 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Oct 11 2018 Todd R <toddrme2178@gmail.com>
- Update to version 2.5
  * fix issue with recursive import and mixed tabs with spaces
  * Add support for python3.6
  * Don't use `sys.stderr` as a default value
- Drop progressbar-python3-relative-imports.patch
  It is included upstream
* Thu Aug 31 2017 toddrme2178@gmail.com
- Use progressbar-python3-relative-imports.patch on python2 and
  python3 since it is compatible with both.
- Make progressbar-python3-relative-imports.patch simpler.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Nov  5 2012 saschpe@suse.de
- Update to 2.3+hg20121105.3c94a3a1ebe1
  + See mercurial changes
* Wed May 23 2012 highwaystar.ru@gmail.com
- python3 package added
- slight spec improvement
* Tue Jan 31 2012 cfarrell@suse.com
- license update: LGPL-2.1+ or BSD-3-Clause
  Look at License.txt
* Tue Jan 31 2012 saschpe@suse.de
- Add a %%changelog line
* Tue Jan 31 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro mania
  * Removed unused build requirements
  * Set license to SDPX style (LGPL-3.0+)
* Thu Jun 16 2011 pascal.bleser@opensuse.org
- initial version (2.3)
